import { Repository } from "typeorm";
import { Review } from "../../common/review/review.entity";
import { CreateReviewDto, UpdateReviewDto } from "./review.dto";
export declare class ReviewService {
    private readonly reviewRepository;
    constructor(reviewRepository: Repository<Review>);
    create(createReviewDto: CreateReviewDto): Promise<Review>;
    findAll(shopId: number): Promise<Review[]>;
    findOne(id: number): Promise<Review>;
    update(id: number, updateReviewDto: UpdateReviewDto): Promise<Review>;
    remove(id: number): Promise<void>;
}
